<!DOCTYPE html>
<html lang="en" xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org">
<head>
    <title>Registration Form</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css"></link>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.1.1/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/js/bootstrap.min.js"></script>
</head>
<body>
<form th:action="@{/}" method="get">
    <button class="btn1 btn-md btn-warning btn-block" type="Submit">Regresar a La Página Principal</button>
</form>
<div class="container">
    <div class="row">
        <div class="col-md-6 col-md-offset-3">
            <form autocomplete="off" action="#" th:action="@{/registration}"
                  th:object="${user}" method="post" class="form-horizontal"
                  role="form">
                <h2>Formulario de Registro</h2>

                <div class="form-group">
                    <div class="col-sm-9">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="glyphicon glyphicon-envelope"></i></span>
                            <input type="text" th:field="*{email}" placeholder="Email"
                                   class="form-control" />
                        </div>
                        <label th:if="${#fields.hasErrors('email')}" th:errors="*{email}"
                               class="validation-message"></label>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-9">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>

                            <input type="text" th:field="*{username}" placeholder="Nombre"
                               class="form-control" />

                        </div>
                        <label th:if="${#fields.hasErrors('username')}" th:errors="*{username}"
                               class="validation-message"></label>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-9">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="glyphicon glyphicon-user"></i></span>
                            <input type="text" th:field="*{lastname}" placeholder="Apellido"
                               class="form-control" />

                        </div>

                        <label
                                th:if="${#fields.hasErrors('lastname')}" th:errors="*{lastname}"
                                class="validation-message"></label>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-9">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="glyphicon glyphicon-home"></i></span>
                            <input type="text" th:field="*{address}" placeholder="Direccion"
                                   class="form-control" />
                        </div>
                        <label
                                th:if="${#fields.hasErrors('address')}" th:errors="*{address}"
                                class="validation-message"></label>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-9">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="glyphicon glyphicon-phone"></i></span>
                            <input type="text" th:field="*{cellphone}" placeholder="Celular"
                                   class="form-control" />
                        </div>
                        <label
                                th:if="${#fields.hasErrors('cellphone')}" th:errors="*{cellphone}"
                                class="validation-message"></label>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-9">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="glyphicon glyphicon-earphone"></i></span>
                            <input type="text" th:field="*{phone}" placeholder="Telefono"
                                   class="form-control" />
                        </div>
                        <label
                                th:if="${#fields.hasErrors('phone')}" th:errors="*{phone}"
                                class="validation-message"></label>
                    </div>
                </div>


                <div class="form-group">
                    <div class="col-sm-9">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="glyphicon glyphicon-lock"></i></span>
                            <input type="password" th:field="*{password}"
                                   placeholder="Contraseña" class="form-control" />
                        </div>
                        <label
                                th:if="${#fields.hasErrors('password')}" th:errors="*{password}"
                                class="validation-message"></label>
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-sm-9">
                        <div class="input-group">
                            <span class="input-group-addon"><i class="glyphicon glyphicon-lock"></i></span>
                            <input type="password" th:field="*{passwordConfirm}"
                                   placeholder="Confirmar Contraseña" class="form-control" />
                        </div>
                        <label
                                th:if="${#fields.hasErrors('passwordConfirm')}" th:errors="*{passwordConfirm}"
                                class="validation-message"></label>
                    </div>
                </div>
                <div class="form-group">
                    <div class="col-sm-9">
                        <button type="submit" class="btn btn-primary btn-block">Registrar Usuario</button>
                    </div>
                </div>

                <span th:utext="${successMessage}"></span>


            </form>
        </div>
    </div>
</div>

</body>
</html>

<style>
    label.mss{
        color: red;
    }
    h2{
        font-family: Arial;
        color: crimson;
    }
    .btn1{
        background-color: crimson;
        border-color: orangered;
    }
    .btn1:hover
    {
        background-color: orange;
        border-color: orange;
    }
    .btn{
        background-color: crimson;
        border-color: transparent;

    }
    .btn:hover
    {
        background-color: orange;
        border-color: transparent;
    }
    body{
        background-image: url("https://laviezine.com/wp-content/uploads/2015/10/Milano%e2%80%99s-Italian-Restaurant.jpg");
        background-size: 100%;
    }

</style>